Bug 218827 - [webkitscmpy] Support remote Subversion repository
Summary: [webkitscmpy] Support remote Subversion repository
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-11-11 16:28 PST by Jonathan Bedard
Modified: 2020-11-23 13:11 PST (History)
2 users (show)

See Also:


Attachments
Patch (76.81 KB, patch)
2020-11-11 16:32 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (50.47 KB, patch)
2020-11-17 13:22 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (50.75 KB, patch)
2020-11-17 13:27 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (50.46 KB, patch)
2020-11-19 08:50 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (50.73 KB, patch)
2020-11-19 10:11 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2020-11-11 16:28:31 PST
Results database already has something similar (although that system is unable to find identifiers), this is also needed to modify commit messages in post commit hooks, unless we want a checkout present when running post-commit hooks, which seems burdensome.
Comment 1 Radar WebKit Bug Importer 2020-11-11 16:28:56 PST
<rdar://problem/71304485>
Comment 2 Jonathan Bedard 2020-11-11 16:32:14 PST
Created attachment 413885 [details]
Patch
Comment 3 Jonathan Bedard 2020-11-17 13:22:18 PST
Created attachment 414378 [details]
Patch
Comment 4 Jonathan Bedard 2020-11-17 13:27:07 PST
Created attachment 414380 [details]
Patch
Comment 5 Jonathan Bedard 2020-11-17 15:16:36 PST
The motivation of this change is allowing us to map identifiers and revisions to one another given only the remote source of an SVN repository, and without using the SVN binary.
Comment 6 Aakash Jain 2020-11-18 16:33:53 PST
Comment on attachment 414380 [details]
Patch

rs=me
Comment 7 Jonathan Bedard 2020-11-19 08:50:56 PST
Created attachment 414588 [details]
Patch
Comment 8 Jonathan Bedard 2020-11-19 10:11:03 PST
Created attachment 414599 [details]
Patch
Comment 9 EWS 2020-11-19 10:49:57 PST
Committed r270038: <https://trac.webkit.org/changeset/270038>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414599 [details].